Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XMLSchemaValidator.UniqueValueStore

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
            |
            +--org.apache.xerces.impl.xs.XMLSchemaValidator.UniqueValueStore

All Implemented Interfaces:
  ValueStore

Enclosing class:
  XMLSchemaValidator

protected class XMLSchemaValidator.UniqueValueStore
extends XMLSchemaValidator.ValueStoreBase

Unique value store.

Author:
  Andy Clark, IBM

Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`fFieldCount, fFields, fIdentityConstraint, fLocalValues, fValues, fValuesCount`

Constructor Summary
`XMLSchemaValidator.UniqueValueStore(UniqueOrKey unique)` Constructs a unique value store.

Method Summary
`protected void` | `checkDuplicateValues()` Called when a duplicate value is added.

Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`addValue, append, clear, contains, contains, endDocument, endDocumentFragment, endValueScope, reportError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSchemaValidator.UniqueValueStore

    public XMLSchemaValidator.UniqueValueStore(UniqueOrKey unique)

  Constructs a unique value store.

Method Detail

### checkDuplicateValues

    protected void checkDuplicateValues()

  Called when a duplicate value is added.
  Overrides:
    `checkDuplicateValues` in class `XMLSchemaValidator.ValueStoreBase`
  Parameters:
    `tuple` - The duplicate value tuple.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.